Skip to main content
POST
Create tax

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
name
string
required

Tax name. Must not be greater than 255 characters.

Example:

"VAT 20%"

type_tax_use
enum<string>
required

Tax type usage.

Available options:
sale,
purchase,
none
Example:

"sale"

amount_type
enum<string>
required

Tax computation type.

Available options:
fixed,
group,
percent,
division,
code
Example:

"percent"

amount
number
required

Tax amount/percentage. Must be at least 0.

Example:

20

tax_group_id
integer
required

Tax group ID. The id of an existing record in the accounts_tax_groups table.

Example:

1

invoice_repartition_lines
object[]
required

Tax repartition lines for invoices (at least 1 base and 1 tax line required). For updates: include "id" to update existing line, omit to create new. Lines not included will be deleted. Must have at least 2 items.

Example:
refund_repartition_lines
object[]
required

Tax repartition lines for refunds (must match invoice lines structure). For updates: include "id" to update existing line, omit to create new. Lines not included will be deleted. Must have at least 2 items.

Example:
company_id
integer | null

Company ID. The id of an existing record in the companies table.

Example:

1

country_id
integer | null

Country ID. The id of an existing record in the countries table.

Example:

233

tax_scope
enum<string> | null

Tax scope.

Available options:
service,
consu
Example:

"service"

price_include_override
enum<string> | null

Price include override.

Available options:
default,
tax_included,
tax_excluded
Example:

"default"

cash_basis_transition_account_id
integer | null

Cash basis transition account ID. The id of an existing record in the accounts_accounts table.

Example:

1

description
string | null

Tax description.

Example:

"Standard VAT rate"

invoice_label
string | null

Label to display on invoices. Must not be greater than 255 characters.

Example:

"VAT"

Legal notes to display on invoices.

Example:

"Subject to VAT regulations"

tax_exigibility
string | null

Tax exigibility. Must not be greater than 255 characters.

Example:

"on_invoice"

is_active
boolean | null

Tax status active/inactive.

Example:

false

include_base_amount
boolean | null

Include base amount in tax calculation.

Example:

false

is_base_affected
boolean | null

Is base affected by other taxes.

Example:

false

analytic
boolean | null

Enable analytic accounting.

Example:

false

Response

Created